# Display NAT Gateway Port Forwarding Rules - DescribeNATGWPolicy

## Overview

Display NAT Gateway Port Forwarding Rules






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNATGWPolicy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project Id. If not filled in, the default project is used. Sub-accounts must fill in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NATGWId** | string | NAT Gateway Id |**Yes**|
| **Limit** | int | Return data length, default is 10000 |No|
| **Offset** | int | List start position offset, default is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of satisfied forwarding strategies |**Yes**|
| **DataSet** | array[[*NATGWPolicyDataSet*](#natgwpolicydataset)] | Detailed information of the found NATGW forwarding policy |No|

#### Data Model


#### NATGWPolicyDataSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **NATGWId** | string | NAT Gateway Id |**Yes**|
| **PolicyId** | string | Forwarding Strategy Id |**Yes**|
| **Protocol** | string | Protocol Type |**Yes**|
| **SrcEIP** | string | EIP Frontend Port Forwarding |**Yes**|
| **SrcEIPId** | string | Front-end EIP Id for Port Forwarding |**Yes**|
| **SrcPort** | string | Source Port |**Yes**|
| **DstIP** | string | Destination Address |**Yes**|
| **DstPort** | string | Destination Port |**Yes**|
| **PolicyName** | string | Forwarding Strategy Name |No|

## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=DescribeNATGWPolicy
&Region=xxx
&ProjectId=xxx
&NATGWId=NdvawRZz
&Limit=1000
&Offset=0
```

### Response Example
    
```json
{
  "Action": "DescribeNATGWPolicyResponse",
  "DataSet": [
    {
      "DstIP": "10.0.0.190",
      "DstPort": "80",
      "NATGWId": "natgw-anbgfu",
      "PolicyId": "policy-sh2Qhg",
      "PolicyName": "port_80",
      "Protocol": "TCP",
      "SrcEIP": "106.75.101.196",
      "SrcEIPId": "eip-aeeiew",
      "SrcPort": "80"
    },
    {
      "DstIP": "10.0.2.71",
      "DstPort": "0",
      "NATGWId": "natgw-anbgfu",
      "PolicyId": "policy-vQyaKW",
      "PolicyName": "port_81",
      "Protocol": "TCP",
      "SrcEIP": "106.75.101.196",
      "SrcEIPId": "eip-aeeiew",
      "SrcPort": "22"
    }
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





